CREATE TABLE dbo.Cajas_Mov_Hist(
	Id_Caja_Mov_Hist INT IDENTITY(1,1),
	Id_Trans INT NOT NULL,
	Renglon_Nro SMALLINT NOT NULL,
	Id_Periodo_Caja INT NULL,
	Fecha DATETIME NULL,
	Descripcion VARCHAR(80) NULL,
	Id_Usuario	SMALLINT,
 CONSTRAINT PK_CMOVH_PorId PRIMARY KEY CLUSTERED 
(
	Id_Caja_Mov_Hist ASC
)
)

GO


CREATE INDEX IX_CMOVH_PorTrans ON Cajas_Mov_Hist (Id_Trans,Renglon_Nro,Fecha,Id_Caja_Mov_Hist) 
CREATE INDEX IX_CMOVH_PorPer ON Cajas_Mov_Hist (Id_Periodo_Caja) 
CREATE INDEX IX_CMOVH_PorUsu ON Cajas_Mov_Hist (Id_Usuario) 


ALTER TABLE dbo.Cajas_Mov_Hist ADD  CONSTRAINT FK_CMOV_Cajas_Mov_Hist FOREIGN KEY(Id_Trans,Renglon_Nro)
REFERENCES dbo.Cajas_Mov (Id_Trans,Renglon_Nro)
GO


ALTER TABLE dbo.Cajas_Mov_Hist  ADD  CONSTRAINT FK_CMOV_Cajas_Mov_Per FOREIGN KEY(Id_Periodo_Caja)
REFERENCES dbo.Cajas_Periodos (Id_Periodo_Caja)
GO


ALTER TABLE dbo.Cajas_Mov_Hist ADD  CONSTRAINT FK_CMOV_Cajas_Mov_User FOREIGN KEY(Id_Usuario)
REFERENCES dbo.Seg_User ([No])
GO





